commit:     50cba45c044f6c45e0426381ab4427caa6a47854
Author:     Andreas Zuber <a.zuber <AT> gmx <DOT> ch>
AuthorDate: Fri Apr 24 09:06:07 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Apr 27 08:33:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50cba45c

dev-python/logbook: version bump to 1.5.3

Closes: https://bugs.gentoo.org/707804
Closes: https://bugs.gentoo.org/719082
Package-Manager: Portage-2.3.89, Repoman-2.3.20
Signed-off-by: Andreas Zuber <a.zuber <AT> gmx.ch>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/logbook/Manifest             |  1 +
 dev-python/logbook/logbook-1.5.3.ebuild | 44 +++++++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/logbook/Manifest b/dev-python/logbook/Manifest
index d86e773ed3a..94237f0d672 100644
--- a/dev-python/logbook/Manifest
+++ b/dev-python/logbook/Manifest
@@ -1 +1,2 @@
 DIST logbook-1.4.0.tar.gz 369335 BLAKE2B 
02398be49d2a12aadbcde90561afe6ac08060877922fa04b27f08587115aef8faf47bfc352fc005b8a986ab619289c8544fe53a84e0e863a09c992685f78739c
 SHA512 
3ea969e9e2075e34a915566be906266b408671657e4cecbe47663c28f2212c0522b0f0eb2832fbc4fb906f70c8e53d3cdbe65923dafe53a77545b8126ab539f2
+DIST logbook-1.5.3.tar.gz 371901 BLAKE2B 
e37924e06613ccf27380004b159966b7b42ec7b766afb6904751eafb3d774c5a9994b9d63f834fbe949fe345953c0da4693e093d717b589046412bd4056322bf
 SHA512 
c9068324f12a189ced98e2c02753489847fa533ce3a3af07b62c73e9959c2e014d47515d47e756d031639cb220a2c4a9a380cba4cb3ea1b190c50106decba686

diff --git a/dev-python/logbook/logbook-1.5.3.ebuild 
b/dev-python/logbook/logbook-1.5.3.ebuild
new file mode 100644
index 00000000000..61013032e7e
--- /dev/null
+++ b/dev-python/logbook/logbook-1.5.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A logging replacement for Python"
+HOMEPAGE="https://logbook.readthedocs.io/en/stable/
+       https://github.com/getlogbook/logbook
+       https://pypi.org/project/Logbook/";
+SRC_URI="https://github.com/getlogbook/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+BDEPEND="
+       test? (
+               app-arch/brotli[${PYTHON_USEDEP},python]
+               dev-python/execnet[${PYTHON_USEDEP}]
+               dev-python/jinja[${PYTHON_USEDEP}]
+               dev-python/pyzmq[${PYTHON_USEDEP}]
+               dev-python/sqlalchemy[${PYTHON_USEDEP}]
+       )"
+RDEPEND="
+       !!dev-python/contextvars
+       !!dev-python/gevent"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+       # Delete test file requiring local connection to redis server
+       rm tests/test_queues.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       export DISABLE_LOGBOOK_CEXT=1
+}

Reply via email to